classification
Title: Upgrade to OpenSSL 1.1.0i / 1.0.2p
Type: security Stage: resolved
Components: macOS, Windows Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, miss-islington, ned.deily, paul.moore, ronaldoussoren, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2018-08-14 13:52 by christian.heimes, last changed 2018-09-12 01:08 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8775 merged steve.dower, 2018-08-15 19:15
PR 8776 merged steve.dower, 2018-08-15 19:20
PR 8777 merged miss-islington, 2018-08-15 20:29
PR 9166 merged ned.deily, 2018-09-11 15:33
PR 9167 merged miss-islington, 2018-09-11 15:53
PR 9191 merged ned.deily, 2018-09-11 22:09
PR 9196 merged miss-islington, 2018-09-11 22:46
PR 9202 merged steve.dower, 2018-09-12 00:07
Messages (10)
msg323521 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-08-14 13:52
1.0.2p and 1.1.0i were released today. Please update the Windows and macOS installers.
msg323530 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-08-14 16:13
I've pushed the new sources for the Windows build, and am about to do the new binaries.

If someone else gets to updating the references in the CPython repo before I do, that's fine by me.
msg323583 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-08-15 20:29
New changeset 864a892af38afefb0a0464af298cf09d2e1195f7 by Steve Dower in branch 'master':
bpo-34405: Updated to OpenSSL 1.1.0i for Windows builds. (GH-8775)
https://github.com/python/cpython/commit/864a892af38afefb0a0464af298cf09d2e1195f7
msg323584 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-08-15 20:29
New changeset eeca87cf3ce5b866dbb210548e23ee91ec5411f2 by Steve Dower in branch '3.6':
bpo-34405: Updated to OpenSSL 1.0.2p for Windows builds. (GH-8776)
https://github.com/python/cpython/commit/eeca87cf3ce5b866dbb210548e23ee91ec5411f2
msg323585 - (view) Author: miss-islington (miss-islington) Date: 2018-08-15 20:55
New changeset 64336dc0a5907b04fe85a911cd1b8be9b663587e by Miss Islington (bot) in branch '3.7':
bpo-34405: Updated to OpenSSL 1.1.0i for Windows builds. (GH-8775)
https://github.com/python/cpython/commit/64336dc0a5907b04fe85a911cd1b8be9b663587e
msg325018 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-09-11 15:52
New changeset 3102e24d83315eee42a94c460956fbcb92ac510f by Ned Deily in branch 'master':
bpo-34405: Update to OpenSSL 1.1.0i for macOS installer builds (GH-9166)
https://github.com/python/cpython/commit/3102e24d83315eee42a94c460956fbcb92ac510f
msg325021 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-09-11 16:07
New changeset 3235fac0d7d94ad6464a162261c18a424829d2e5 by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-34405: Update to OpenSSL 1.1.0i for macOS installer builds (GH-9166) (GH-9167)
https://github.com/python/cpython/commit/3235fac0d7d94ad6464a162261c18a424829d2e5
msg325085 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-09-11 22:45
New changeset 31912b43c903aafad09350899ed6a9dec7c43421 by Ned Deily in branch '3.6':
bpo-34405: Update to OpenSSL 1.0.2p for macOS installer builds (GH-9191)
https://github.com/python/cpython/commit/31912b43c903aafad09350899ed6a9dec7c43421
msg325099 - (view) Author: miss-islington (miss-islington) Date: 2018-09-11 23:53
New changeset aa02ab15aed9d0b70f619c186326594c0d50bdd6 by Miss Islington (bot) in branch '2.7':
[2.7] bpo-34405: Update to OpenSSL 1.0.2p for macOS installer builds (GH-9191) (GH-9196)
https://github.com/python/cpython/commit/aa02ab15aed9d0b70f619c186326594c0d50bdd6
msg325110 - (view) Author: miss-islington (miss-islington) Date: 2018-09-12 01:02
New changeset e351fe241c1fcb8cd739b08e21d2bb2f2b4c8c89 by Miss Islington (bot) (Steve Dower) in branch '2.7':
[2.7] bpo-34405: Updated to OpenSSL 1.0.2p for Windows builds. (GH-8776) (GH-9202)
https://github.com/python/cpython/commit/e351fe241c1fcb8cd739b08e21d2bb2f2b4c8c89
History
Date User Action Args
2018-09-12 01:08:42ned.deilysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-09-12 01:02:44miss-islingtonsetmessages: + msg325110
2018-09-12 00:07:01steve.dowersetpull_requests: + pull_request8639
2018-09-11 23:53:24miss-islingtonsetmessages: + msg325099
2018-09-11 22:46:24miss-islingtonsetpull_requests: + pull_request8632
2018-09-11 22:45:39ned.deilysetmessages: + msg325085
2018-09-11 22:09:49ned.deilysetpull_requests: + pull_request8629
2018-09-11 16:07:16ned.deilysetmessages: + msg325021
2018-09-11 15:53:01miss-islingtonsetpull_requests: + pull_request8610
2018-09-11 15:52:43ned.deilysetmessages: + msg325018
2018-09-11 15:33:27ned.deilysetpull_requests: + pull_request8609
2018-08-15 20:55:14miss-islingtonsetnosy: + miss-islington
messages: + msg323585
2018-08-15 20:29:57miss-islingtonsetpull_requests: + pull_request8252
2018-08-15 20:29:43steve.dowersetmessages: + msg323584
2018-08-15 20:29:28steve.dowersetmessages: + msg323583
2018-08-15 19:20:25steve.dowersetpull_requests: + pull_request8251
2018-08-15 19:15:14steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request8250
2018-08-14 16:13:59steve.dowersetmessages: + msg323530
2018-08-14 13:52:47christian.heimescreate